### Constructor

# Devhelp Sidebar new

deprecated: 3.30

#### Declaration [src]

    GtkWidget*
    dh_sidebar_new (
      DhBookManager* book_manager
    )

#### Description

No description available.

Deprecated since: 3.30

Use `dh_sidebar_new2()` instead.

#### Parameters

`book_manager`

  Type: `DhBookManager`

  A `DhBookManager`. This parameter is deprecated, you should just pass `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

A new `DhSidebar` widget.

The data is owned by the called function.